Bug 3293 - [UPDATE REQUEST] [UPSTREAM UPDATE] openldap
: [UPDATE REQUEST] [UPSTREAM UPDATE] openldap
Status: RESOLVED FIXED
Product: Server Bugs
Classification: ROSA Server
Component: Main Packages
: unspecified
: All Linux
: Normal normal
: ---
Assigned To: Andrew Lukoshko
: ROSA Server Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-12-02 16:55 MSK by Andrew Lukoshko
Modified: 2014-01-10 10:53 MSK (History)
1 user (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
alexander.petryakov: qa_verified+
andrew.lukoshko: published_server+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Lukoshko 2013-12-02 16:55:38 MSK
Previously, OpenLDAP did not properly handle NSS resources.
NSS_ShutdownContext() failed with a "resources in use" error message, which
caused an unexpected termination with a segmentation fault in the Red Hat
Directory Server and might have caused other unwanted behavior. With this
update, the source code has been modified to properly call PK11_FreeSlot() and
release the resources and, as a result, NSS resources are properly freed.

http://rhn.redhat.com/errata/RHBA-2013-0778.html

https://abf.rosalinux.ru/build_lists/1425936
https://abf.rosalinux.ru/build_lists/1425937
Comment 1 Alexander Petryakov 2013-12-06 01:20:55 MSK
openldap-2.4.23-32.res6.1
*********************** RHEL Advisory *************************
Previously, OpenLDAP did not properly handle NSS resources.
NSS_ShutdownContext() failed with a "resources in use" error message, which
caused an unexpected termination with a segmentation fault in the Red Hat
Directory Server and might have caused other unwanted behavior. With this
update, the source code has been modified to properly call PK11_FreeSlot() and
release the resources and, as a result, NSS resources are properly freed.

http://rhn.redhat.com/errata/RHBA-2013-0778.html
***************************************************************
QA Verified